org.jboss.netty.handler.codec.frame

## Class TooLongFrameException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.frame.TooLongFrameException

- All Implemented Interfaces:
    Serializable

      public class TooLongFrameException
      extends Exception

  An `Exception` which is thrown when the length of the frame decoded is greater than the maximum.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TooLongFrameException()` Creates a new instance.
    `TooLongFrameException(String message)` Creates a new instance.
    `TooLongFrameException(String message, Throwable cause)` Creates a new instance.
    `TooLongFrameException(Throwable cause)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TooLongFrameException

          public TooLongFrameException()

      Creates a new instance.

    - #### TooLongFrameException

          public TooLongFrameException(String message,
                               Throwable cause)

      Creates a new instance.

    - #### TooLongFrameException

          public TooLongFrameException(String message)

      Creates a new instance.

    - #### TooLongFrameException

          public TooLongFrameException(Throwable cause)

      Creates a new instance.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.